# Class CreateCryptoCurrencyPaymentAccountRequest

#### Hierarchy

- unknown
  - CreateCryptoCurrencyPaymentAccountRequest

- Defined in src/protobuf/grpc_pb.d.ts:1984
- Defined in src/protobuf/grpc_pb.d.ts:2005

#####
Index

### Constructors

constructor

### Methods

getAccountName
getAddress
getCurrencyCode
getTradeInstant
serializeBinary
setAccountName
setAddress
setCurrencyCode
setTradeInstant
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CreateCryptoCurrencyPaymentAccountRequest(): CreateCryptoCurrencyPaymentAccountRequest

- #### Returns CreateCryptoCurrencyPaymentAccountRequest

  Inherited from jspb.Message.constructor

## Methods

### getAccountName

- getAccountName(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1985

### getAddress

- getAddress(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1991

### getCurrencyCode

- getCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1988

### getTradeInstant

- getTradeInstant(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1994

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1997

### setAccountName

- setAccountName(value: string): CreateCryptoCurrencyPaymentAccountRequest

- #### Parameters

  - ##### value: string

  #### Returns CreateCryptoCurrencyPaymentAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1986

### setAddress

- setAddress(value: string): CreateCryptoCurrencyPaymentAccountRequest

- #### Parameters

  - ##### value: string

  #### Returns CreateCryptoCurrencyPaymentAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1992

### setCurrencyCode

- setCurrencyCode(value: string): CreateCryptoCurrencyPaymentAccountRequest

- #### Parameters

  - ##### value: string

  #### Returns CreateCryptoCurrencyPaymentAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1989

### setTradeInstant

- setTradeInstant(value: boolean): CreateCryptoCurrencyPaymentAccountRequest

- #### Parameters

  - ##### value: boolean

  #### Returns CreateCryptoCurrencyPaymentAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1995

### toObject

- toObject(includeInstance?: boolean): CreateCryptoCurrencyPaymentAccountRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CreateCryptoCurrencyPaymentAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1998

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CreateCryptoCurrencyPaymentAccountRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CreateCryptoCurrencyPaymentAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2001

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CreateCryptoCurrencyPaymentAccountRequest, reader: BinaryReader): CreateCryptoCurrencyPaymentAccountRequest

- #### Parameters

  - ##### message: CreateCryptoCurrencyPaymentAccountRequest

  - ##### reader: BinaryReader

  #### Returns CreateCryptoCurrencyPaymentAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2002

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CreateCryptoCurrencyPaymentAccountRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CreateCryptoCurrencyPaymentAccountRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2000

### `Static` toObject

- toObject(includeInstance: boolean, msg: CreateCryptoCurrencyPaymentAccountRequest): CreateCryptoCurrencyPaymentAccountRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CreateCryptoCurrencyPaymentAccountRequest

  #### Returns CreateCryptoCurrencyPaymentAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1999

Generated using TypeDoc